### Class

# Adw PropertyAnimationTarget

since: 1.2

#### Description [src]

    final class Adw.PropertyAnimationTarget : Adw.AnimationTarget
    {
      /* No available fields */
    }

An `AdwAnimationTarget` changing the value of a property of a `GObject` instance.

Available since: 1.2

#### Hierarchy

#### Ancestors

- AdwAnimationTarget
- GObject

#### Constructors

###### adw_property_animation_target_new

Creates a new `AdwPropertyAnimationTarget` for the `property_name` property on `object`.

since: 1.2

###### adw_property_animation_target_new_for_pspec

Creates a new `AdwPropertyAnimationTarget` for the `pspec` property on `object`.

since: 1.2

#### Instance methods

###### adw_property_animation_target_get_object

Gets the object animated by `self`.

since: 1.2

###### adw_property_animation_target_get_pspec

Gets the `GParamSpec` of the property animated by `self`.

since: 1.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Adw.PropertyAnimationTarget:object

The object whose property will be animated.

since: 1.2

###### Adw.PropertyAnimationTarget:pspec

The `GParamSpec` of the property to be animated.

since: 1.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AdwPropertyAnimationTargetClass {
      /* no available fields */
    }

No description available.